# -*- coding: utf-8 -*-
import matplotlib
matplotlib.use('Agg')
import time
import init

import corporization
import preprocessing
import topicModeling
import cleaning

from miscellaneous import *

# ssh madonna "nohup /usr/bin/python3 -u /home/jannis.grundmann/PycharmProjects/topicModelingTickets/main.py &> /home/jannis.grundmann/PycharmProjects/topicModelingTickets/log/printout_main.log &"
start = time.time()



init.main()
logprint("")

corporization.main()
logprint("")

cleaning.main()
logprint("")

preprocessing.main()   # ~5h
logprint("")


"""
#topicModeling.main(use_cleaned=False,algorithm="lsa")
logprint("")


#topicModeling.main(use_cleaned=False,algorithm="nmf")
logprint("")


#topicModeling.main(use_cleaned=False,algorithm="lda")
logprint("")


topicModeling.main(use_cleaned=False,algorithm="llda")
logprint("")
"""


end = time.time()
logprint("Total Time Elapsed: {0} min".format((end - start) / 60))


